from __future__ import absolute_import


class ValidationUtil(object):
    @staticmethod
    def is_valid_create_customer_request(customer):
        if (customer.last_name is None) or (customer.email is None) or (customer.funding_account is None):
            return False
        return True

    @staticmethod
    def is_valid_payment_token_request(payment):
        if (payment.payment_token.token is None) or (payment.digi_sign is None):
            return False
        if (payment.client_id is None) or (payment.signature_key is None):
            return False
        return True

    @staticmethod
    def is_valid_add_funding_account_request(funding_account):
        if (funding_account.funding_account_token.token is None) or (funding_account.digi_sign is None):
            return False
        return True

    @staticmethod
    def is_valid_confirm_add_fund_acct_request(payment):
        if (payment.token_id is None) or (payment.digi_sign is None):
            return False
        if (payment.client_id is None) or (payment.signature_key is None):
            return False
        return True

    @staticmethod
    def is_valid_cancel_payment_request(payment):
        if (payment.client_id is None) or (payment.signature_key is None) or (payment.id is None):
            return False
        return True

    @staticmethod
    def is_valid_retrieve_payment_request(payment):
        if (payment.client_id is None) or (payment.signature_key is None) or (payment.id is None):
            return False
        return True

    @staticmethod
    def is_valid_delete_funding_account_request(funding_account):
        if (funding_account.client_id is None) or (funding_account.signature_key is None) or (
                    funding_account.id is None):
            return False
        return True

    @staticmethod
    def is_valid_retrieve_funding_account_request(funding_account):
        if (funding_account.client_id is None) or (funding_account.signature_key is None) or (
                    funding_account.id is None):
            return False
        return True

    @staticmethod
    def is_valid_retrieve_payments_request(payments):
        if (payments.client_id is None) or (payments.signature_key is None):
            return False
        return True

    @staticmethod
    def is_valid_get_payments_request(payments):
        if (payments.client_id is None) or (payments.signature_key is None) or (payments.query_id is None):
            return False
        return True

    @staticmethod
    def is_valid_retrieve_funding_accounts_request(funding_accounts):
        if (funding_accounts.client_id is None) or (funding_accounts.signature_key is None):
            return False
        return True

    @staticmethod
    def is_valid_get_funding_accounts_request(funding_accounts):
        if ((funding_accounts.client_id is None) or (funding_accounts.signature_key is None) or (
                    funding_accounts.query_id is None)):
            return False
        return True
